## org.eclipse.xsd
Interface XSDWildcard

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDParticleContent, XSDTerm

All Known Implementing Classes:
  XSDWildcardImpl

    public interface XSDWildcard

extends XSDTerm

A representation of the model object 'Wildcards'.

The following features are supported:

- `Namespace Constraint Category`
- `Namespace Constraint`
- `Process Contents`
- `Lexical Namespace Constraint`
- `Annotation`
- `Annotations`

See Also:
  `XSDPackage.getXSDWildcard()`

Method Summary
`boolean` `allows(java.lang.String namespace)` Returns whether the namespace is allowed by the wildcard.
`XSDWildcard` `attributeWildcardIntersection(XSDWildcard otherWildcard)` Returns a wildcard that is the attribute wildcard interection of this wildcard and the given wildcard.
`XSDWildcard` `attributeWildcardUnion(XSDWildcard otherWildcard)` Returns a wildcard that is the attribute wildcard union of this wildcard and the given wildcard.
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`EList<XSDAnnotation>` `getAnnotations()` Returns the value of the 'Annotations' reference list.
`EList<java.lang.String>` `getLexicalNamespaceConstraint()` Returns the value of the 'Lexical Namespace Constraint' attribute list.
`EList<java.lang.String>` `getNamespaceConstraint()` Returns the value of the 'Namespace Constraint' attribute list.
`XSDNamespaceConstraintCategory` `getNamespaceConstraintCategory()` Returns the value of the 'Namespace Constraint Category' attribute.
`XSDProcessContents` `getProcessContents()` Returns the value of the 'Process Contents' attribute.
`java.lang.String` `getStringLexicalNamespaceConstraint()` Returns the String value of the '`Lexical Namespace Constraint`' attribute list
`java.lang.String` `getStringNamespaceConstraint()` Returns the String value of the '`Namespace Constraint`' attribute list
`boolean` `isSetLexicalNamespaceConstraint()` Returns whether the value of the '`Lexical Namespace Constraint`' attribute list is set
`boolean` `isSetProcessContents()` Returns whether the value of the '`Process Contents`' attribute is set
`boolean` `isWildcardSubset(XSDWildcard superSetWildcard)` Returns whether this wildcard is a subset of the given wildcard.
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setNamespaceConstraintCategory(XSDNamespaceConstraintCategory value)` Sets the value of the '`Namespace Constraint Category`' attribute
`void` `setProcessContents(XSDProcessContents value)` Sets the value of the '`Process Contents`' attribute
`void` `setStringLexicalNamespaceConstraint(java.lang.String lexicalNamespaceConstraint)` Sets the String value of the '`Lexical Namespace Constraint`' attribute
`void` `unsetLexicalNamespaceConstraint()` Unsets the value of the '`Lexical Namespace Constraint`' attribute list
`void` `unsetProcessContents()` Unsets the value of the '`Process Contents`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNamespaceConstraintCategory

    XSDNamespaceConstraintCategory getNamespaceConstraintCategory()

  Returns the value of the 'Namespace Constraint Category' attribute. The literals are from the enumeration `XSDNamespaceConstraintCategory`.

  This represents the category of the namespace constraint infoset property.

  Returns:
    the value of the 'Namespace Constraint Category' attribute.
  See Also:
    `XSDNamespaceConstraintCategory`, `setNamespaceConstraintCategory(XSDNamespaceConstraintCategory)`, `XSDPackage.getXSDWildcard_NamespaceConstraintCategory()`

### setNamespaceConstraintCategory

    void setNamespaceConstraintCategory(XSDNamespaceConstraintCategory value)

  Sets the value of the '`Namespace Constraint Category`' attribute.

  Parameters:
    `value` - the new value of the 'Namespace Constraint Category' attribute.
  See Also:
    `XSDNamespaceConstraintCategory`, `getNamespaceConstraintCategory()`

### getNamespaceConstraint

    EList<java.lang.String> getNamespaceConstraint()

  Returns the value of the 'Namespace Constraint' attribute list. The list contents are of type `String`.

  This represents the value of the namespace constraint infoset property. It is computed from the `lexical namespace constraint` and should typically not be modified directly.

  Returns:
    the value of the 'Namespace Constraint' attribute list.
  See Also:
    `getStringNamespaceConstraint()`, `XSDPackage.getXSDWildcard_NamespaceConstraint()`

### getStringNamespaceConstraint

    java.lang.String getStringNamespaceConstraint()

  Returns the String value of the '`Namespace Constraint`' attribute list.

  Returns:
    the String value of the 'Namespace Constraint' attribute list.
  See Also:
    `getNamespaceConstraint()`

### getProcessContents

    XSDProcessContents getProcessContents()

  Returns the value of the 'Process Contents' attribute. The literals are from the enumeration `XSDProcessContents`.

  This represents the process contents infoset property.

  Returns:
    the value of the 'Process Contents' attribute.
  See Also:
    `XSDProcessContents`, `isSetProcessContents()`, `unsetProcessContents()`, `setProcessContents(XSDProcessContents)`, `XSDPackage.getXSDWildcard_ProcessContents()`

### setProcessContents

    void setProcessContents(XSDProcessContents value)

  Sets the value of the '`Process Contents`' attribute.

  Parameters:
    `value` - the new value of the 'Process Contents' attribute.
  See Also:
    `XSDProcessContents`, `isSetProcessContents()`, `unsetProcessContents()`, `getProcessContents()`

### unsetProcessContents

    void unsetProcessContents()

  Unsets the value of the '`Process Contents`' attribute.

  See Also:
    `isSetProcessContents()`, `getProcessContents()`, `setProcessContents(XSDProcessContents)`

### isSetProcessContents

    boolean isSetProcessContents()

  Returns whether the value of the '`Process Contents`' attribute is set.

  Returns:
    whether the value of the 'Process Contents' attribute is set.
  See Also:
    `unsetProcessContents()`, `getProcessContents()`, `setProcessContents(XSDProcessContents)`

### getLexicalNamespaceConstraint

    EList<java.lang.String> getLexicalNamespaceConstraint()

  Returns the value of the 'Lexical Namespace Constraint' attribute list. The list contents are of type `String`.

  This concrete attribute represents the value of the any namespace or anyAttribute namespace attribute.

  Returns:
    the value of the 'Lexical Namespace Constraint' attribute list.
  See Also:
    `isSetLexicalNamespaceConstraint()`, `unsetLexicalNamespaceConstraint()`, `XSDPackage.getXSDWildcard_LexicalNamespaceConstraint()`

### unsetLexicalNamespaceConstraint

    void unsetLexicalNamespaceConstraint()

  Unsets the value of the '`Lexical Namespace Constraint`' attribute list.

  See Also:
    `isSetLexicalNamespaceConstraint()`, `getLexicalNamespaceConstraint()`

### isSetLexicalNamespaceConstraint

    boolean isSetLexicalNamespaceConstraint()

  Returns whether the value of the '`Lexical Namespace Constraint`' attribute list is set.

  Returns:
    whether the value of the 'Lexical Namespace Constraint' attribute list is set.
  See Also:
    `unsetLexicalNamespaceConstraint()`, `getLexicalNamespaceConstraint()`

### getStringLexicalNamespaceConstraint

    java.lang.String getStringLexicalNamespaceConstraint()

  Returns the String value of the '`Lexical Namespace Constraint`' attribute list.

  Returns:
    the String value of the 'Lexical Namespace Constraint' attribute list.
  See Also:
    `getLexicalNamespaceConstraint()`, `setStringLexicalNamespaceConstraint(java.lang.String)`

### setStringLexicalNamespaceConstraint

    void setStringLexicalNamespaceConstraint(java.lang.String lexicalNamespaceConstraint)

  Sets the String value of the '`Lexical Namespace Constraint`' attribute.

  Parameters:
    `lexicalNamespaceConstraint` - the new value of the 'Lexical Namespace Constraint' attribute.
  See Also:
    `getLexicalNamespaceConstraint()`, `getStringLexicalNamespaceConstraint()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This concrete reference represents the annotation content of an any or anyAttribute element.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDWildcard_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

### getAnnotations

    EList<XSDAnnotation> getAnnotations()

  Returns the value of the 'Annotations' reference list. The list contents are of type `XSDAnnotation`.

  This represents the annotation infoset property. It is computed from the `annotation` and should typically not modified directly.

  Returns:
    the value of the 'Annotations' reference list.
  See Also:
    `XSDPackage.getXSDWildcard_Annotations()`

### isWildcardSubset

    boolean isWildcardSubset(XSDWildcard superSetWildcard)

  Returns whether this wildcard is a subset of the given wildcard.

  Parameters:
    `superSetWildcard` - the other wildcard.
  Returns:
    whether this wildcard is a subset.
  See Also:
    `attributeWildcardUnion(org.eclipse.xsd.XSDWildcard)`, `attributeWildcardIntersection(org.eclipse.xsd.XSDWildcard)`

### attributeWildcardUnion

    XSDWildcard attributeWildcardUnion(XSDWildcard otherWildcard)

  Returns a wildcard that is the attribute wildcard union of this wildcard and the given wildcard.

  Parameters:
    `otherWildcard` - another wildcard.
  Returns:
    a wildcard that is the attribute wildcard union of this wildcard and the given wildcard.
  See Also:
    `isWildcardSubset(org.eclipse.xsd.XSDWildcard)`, `attributeWildcardIntersection(org.eclipse.xsd.XSDWildcard)`

### attributeWildcardIntersection

    XSDWildcard attributeWildcardIntersection(XSDWildcard otherWildcard)

  Returns a wildcard that is the attribute wildcard interection of this wildcard and the given wildcard.

  Parameters:
    `otherWildcard` - another wildcard.
  Returns:
    a wildcard that is the attribute wildcard interection of this wildcard and the given wildcard.
  See Also:
    `isWildcardSubset(org.eclipse.xsd.XSDWildcard)`, `attributeWildcardUnion(org.eclipse.xsd.XSDWildcard)`

### allows

    boolean allows(java.lang.String namespace)

  Returns whether the namespace is allowed by the wildcard.

  Returns:
    whether the namespace is allowed by the wildcard.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.